<div class="custom-select">

    <div class="select" (click)="open()">
        <ng-container *ngIf="(value$ | async) as value; else empty">
            <ng-container *ngIf="value !== ''"
            [ngTemplateOutlet]="selectedTemplate"
            [ngTemplateOutletContext]="{ item: value.title }"></ng-container>
        </ng-container>
        <ng-template #empty>
            <div class="placeholder">{{ placeholder }}</div>
        </ng-template>
    </div>

    <div *ngIf="open$ | async"
    [@slide] class="dropdown" [style.transform-origin]="'top'">

        <div class="filter">
            <i class="las la-search"></i>
            <input
            [(ngModel)]="query"
            placeholder="Filtrar resultados..."
            type="text">
        </div>

        <ul>
            <li (click)="singleSelect(item)"
            *ngFor="let item of _items | arrayFilter:query:'title'">
                <ng-container [ngTemplateOutlet]="template"
                [ngTemplateOutletContext]="{ item }"></ng-container>
            </li>
        </ul>

        <div *ngIf="!(_items | arrayFilter:query:'title').length">
            <mr-empty [small]="true"></mr-empty>
        </div>

    </div>

</div>
